package events

import (
	"git.quimbo.fr/odwrtw/canape/backend/models"
	"github.com/sirupsen/logrus"
)

// VideoEventer represents the Eventer for tests
type VideoEventer struct {
	*BaseEventer
}

var videoEventName = "newVideo"

// NewVideoEventers implements the Eventer interface
func NewVideoEventers() *PolochonEventers {
	eventer := NewEventers()
	eventer.NewEventer = NewVideoEventer
	eventer.Name = videoEventName
	return eventer
}

// NewVideoEventer returns a new Eventer
func NewVideoEventer(polo *models.Polochon, log *logrus.Entry) (Eventer, error) {
	return &VideoEventer{
		BaseEventer: &BaseEventer{
			users: []*Channel{},
			log:   log,
			name:  videoEventName,
		},
	}, nil
}

// Launch implements the Eventer interface
func (e *VideoEventer) Launch() error {
	return nil
}

// Finish implements the Eventer interface
func (e *VideoEventer) Finish() {
}
