import React, { useEffect } from "react";
import { useDispatch, useSelector } from "react-redux";
import { getAdminModules } from "../../actions/admins";

import Modules from "../modules/modules";

export const AdminModules = () => {
  const dispatch = useDispatch();

  const loading = useSelector((state) =>
    state.adminStore.get("fetchingModules")
  );
  const modules = useSelector((state) => state.adminStore.get("modules"));

  useEffect(() => {
    dispatch(getAdminModules());
  }, [dispatch]);

  return <Modules modules={modules} isLoading={loading} />;
};
