import React from "react";
import PropTypes from "prop-types";
import { List } from "immutable";
import { useDispatch } from "react-redux";

import { searchMovieSubtitles } from "../../actions/subtitles";

import { SubtitlesButton } from "../buttons/subtitles";

export const MovieSubtitlesButton = ({
  inLibrary,
  imdbId,
  searching,
  subtitles,
}) => {
  const dispatch = useDispatch();

  return (
    <SubtitlesButton
      inLibrary={inLibrary}
      searching={searching}
      subtitles={subtitles}
      search={() => dispatch(searchMovieSubtitles(imdbId))}
    />
  );
};
MovieSubtitlesButton.propTypes = {
  searching: PropTypes.bool,
  inLibrary: PropTypes.bool,
  imdbId: PropTypes.string,
  subtitles: PropTypes.instanceOf(List),
};
